



GET
  FILE='C:\WHO\SPSS\HL.sav'.


FREQUENCIES
  VARIABLES=hl4 hh7 hh5
  /ORDER=  ANALYSIS .



GET
  FILE='C:\WHO\SPSS\HH.sav'.
FREQUENCIES
  VARIABLES=hh22
  /ORDER=  ANALYSIS .


*************************************



GET
  FILE='C:\WHO\SPSS\HL.sav'.

USE ALL.
COMPUTE filter_$=(hl7b > 0   or   hl7c   > 0   and  hl10 = 1).
VARIABLE LABEL filter_$ 'hl7b > 0   or   hl7c   > 0   and  hl10 = 1'+
 ' (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .


variable label total "total".

tables
  /format = zero
  /ftotal  tot1  "Total"
  /table =  hdiv + tot1 by hl9a+hl9b+hl9c+hl9d  
  /statistics
  cpct(hl9a (F3.1) '')   
  cpct(hl9b (F3.1) '')
  cpct(hl9c (F3.1) '')
  cpct(hl9d (F3.1) '')
   /title
    "Table 4: Percent of woman who have ANC during pregnancy and the place they had received care during abortion and difficult labor" 
		"The Gambia, 2006"
/caption
    "Source: Fistula survey, December,  2006".


new file.

*delete working files.
erase file = 'tmp1.sav'.
erase file = 'tmp3.sav'.


********************************************

GET
  FILE='C:\WHO\SPSS\HL.sav'.

USE ALL.
COMPUTE filter_$=(hl7b > 0   or   hl7c   > 0   and  hl10 = 1).
VARIABLE LABEL filter_$ 'hl7b > 0   or   hl7c   > 0   and  hl10 = 1'+
 ' (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

compute total = 1.
value label total "total".
variable label total "Total".



tables
  /format = zero
 /ftotal  tot1  "Total"
  /table =  total + tot1 by hl9a+hl9b+hl9c+hl9d  
  /statistics
  count(total (F6.0) '' )   
   /title
    "Table 4b: Woman who have ANC during pregnancy and the place they had received care during abortion and difficult labor" 
		"The Gambia, 2006"
/caption
    "Source: Fistula survey, December,  2006".


*************************************************

GET
  FILE='C:\WHO\SPSS\HL.sav'.
DATASET NAME DataSet5 WINDOW=FRONT.

USE ALL.
COMPUTE filter_$=(hl10 = 1).
VARIABLE LABEL filter_$ 'hl10 = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

compute cases = 1.

*recode HH11 (1 = 1) (else = 0) into complete.

tables
  /format = zero
  /observation =  cases
   /ftotal  tot1 "Total"     
   /table = Hl11 + Hl11B + HL11C+HL11D+HL11E+ tot1 by Hdiv + cases     
  /statistics
      cpct(Hdiv 'Percent' (f2.1):Hdiv)
      count(cases (f2))
   /title
    "Table 5: Who who have ANC and their knowledge of warning signs, The Gambia, 2006"
/caption
    "Source: Fistula survey, December,  2006".



******************************************************


GET
  FILE='C:\WHODT\Divi.sav'.

USE ALL.
COMPUTE filter_$=(dt1 = 1).
VARIABLE LABEL filter_$ 'dt1 = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .


 aggregate outfile = 'tmp1.sav'
  /break   = DF1 
  /Pub  = sum(DF2)
  /Pri =   sum(DF3)
  /ngo =  sum(DF4) .

get file = 'tmp1.sav'.

tables
  /format = zero
  /observation =   pub  pri  ngo
   /ftotal  tot1 "Total"     
   /table = DF1+tot1 by pub+pri+ngo  
  /statistics
  sum( pub(F6.0) 'Public') 
  sum( pri(F6.0) 'Private')   
  sum( ngo(F6.0) 'NGO')   
   /title
    "Table TBx: Facilities operational in WD" 
		"The Gambia, 2006"
/caption
    "Source: Fistula survey, December,  2006".



****************************************************

GET
  FILE='C:\WHODT\Divi.sav'.

USE ALL.
COMPUTE filter_$=(dt1 = 2).
VARIABLE LABEL filter_$ 'dt1 = 2 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .


 aggregate outfile = 'tmp1.sav'
  /break   = DF1 
  /Pub  = sum(DF2)
  /Pri =   sum(DF3)
  /ngo =  sum(DF4) .

get file = 'tmp1.sav'.

tables
  /format = zero
  /observation =   pub  pri  ngo
   /ftotal  tot1 "Total"     
   /table = DF1+tot1 by pub+pri+ngo  
  /statistics
  sum( pub(F6.0) 'Public') 
  sum( pri(F6.0) 'Private')   
  sum( ngo(F6.0) 'NGO')   
   /title
    "Table TBx: Facilities operational in NBDW" 
		"The Gambia, 2006"
/caption
    "Source: Fistula survey, December,  2006".



***********************************************

GET
  FILE='C:\WHODT\Divi.sav'.

USE ALL.
COMPUTE filter_$=(dt1 = 3).
VARIABLE LABEL filter_$ 'dt1 = 3 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .


 aggregate outfile = 'tmp1.sav'
  /break   = DF1 
  /Pub  = sum(DF2)
  /Pri =   sum(DF3)
  /ngo =  sum(DF4) .

get file = 'tmp1.sav'.

tables
  /format = zero
  /observation =   pub  pri  ngo
   /ftotal  tot1 "Total"     
   /table = DF1+tot1 by pub+pri+ngo  
  /statistics
  sum( pub(F6.0) 'Public') 
  sum( pri(F6.0) 'Private')   
  sum( ngo(F6.0) 'NGO')   
   /title
    "Table TBx: Facilities operational in NBDE" 
		"The Gambia, 2006"
/caption
    "Source: Fistula survey, December,  2006".


*******************************************


GET
  FILE='C:\WHODT\Divi.sav'.

USE ALL.
COMPUTE filter_$=(dt1 = 4).
VARIABLE LABEL filter_$ 'dt1 = 4 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .


 aggregate outfile = 'tmp1.sav'
  /break   = DF1 
  /Pub  = sum(DF2)
  /Pri =   sum(DF3)
  /ngo =  sum(DF4) .

get file = 'tmp1.sav'.

tables
  /format = zero
  /observation =   pub  pri  ngo
   /ftotal  tot1 "Total"     
   /table = DF1+tot1 by pub+pri+ngo  
  /statistics
  sum( pub(F6.0) 'Public') 
  sum( pri(F6.0) 'Private')   
  sum( ngo(F6.0) 'NGO')   
   /title
    "Table TBx: Facilities operational in LRD" 
		"The Gambia, 2006"
/caption
    "Source: Fistula survey, December,  2006".


************************************************



GET
  FILE='C:\WHODT\Divi.sav'.

USE ALL.
COMPUTE filter_$=(dt1 = 5).
VARIABLE LABEL filter_$ 'dt1 = 5 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .


 aggregate outfile = 'tmp1.sav'
  /break   = DF1 
  /Pub  = sum(DF2)
  /Pri =   sum(DF3)
  /ngo =  sum(DF4) .

get file = 'tmp1.sav'.

tables
  /format = zero
  /observation =   pub  pri  ngo
   /ftotal  tot1 "Total"     
   /table = DF1+tot1 by pub+pri+ngo  
  /statistics
  sum( pub(F6.0) 'Public') 
  sum( pri(F6.0) 'Private')   
  sum( ngo(F6.0) 'NGO')   
   /title
    "Table TBx: Facilities operational in CRD" 
		"The Gambia, 2006"
/caption
    "Source: Fistula survey, December,  2006".




**************************************


GET
  FILE='C:\WHODT\Divi.sav'.

USE ALL.
COMPUTE filter_$=(dt1 = 6).
VARIABLE LABEL filter_$ 'dt1 = 6 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .


 aggregate outfile = 'tmp1.sav'
  /break   = DF1 
  /Pub  = sum(DF2)
  /Pri =   sum(DF3)
  /ngo =  sum(DF4) .

get file = 'tmp1.sav'.

tables
  /format = zero
  /observation =   pub  pri  ngo
   /ftotal  tot1 "Total"     
   /table = DF1+tot1 by pub+pri+ngo  
  /statistics
  sum( pub(F6.0) 'Public') 
  sum( pri(F6.0) 'Private')   
  sum( ngo(F6.0) 'NGO')   
   /title
    "Table TBx: Facilities operational in URD" 
		"The Gambia, 2006"
/caption
    "Source: Fistula survey, December,  2006".


*******************************************************************************PART 2

GET
  FILE='C:\WHODT\Staf.sav'.



USE ALL.
COMPUTE filter_$=(dt1 = 1).
VARIABLE LABEL filter_$ 'dt1 = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .


 aggregate outfile = 'tmp1.sav'
  /break   = DT2
  /req  = sum(DT3)
  /occu =   sum(DT4)
  /gov =  sum(DT5)
  /ng  =  sum (DT6) .

get file = 'tmp1.sav'.

tables
  /format = zero
  /observation =   req  occu  gov ng
   /ftotal  tot1 "Total"     
   /table = DT2+tot1 by req+occu+gov+ng  
  /statistics
  sum( req(F6.0) 'Required') 
  sum( occu(F6.0) 'Occupied')   
  sum( gov(F6.0) 'Government')
  sum( ng(F6.0) 'NGO')   
   /title
    "Table TBx: Staffing in WD" 
		"The Gambia, 2006"
/caption
    "Source: Fistula survey, December,  2006".




****************************************************

GET
  FILE='C:\WHODT\Staf.sav'.

USE ALL.
COMPUTE filter_$=(dt1 = 2).
VARIABLE LABEL filter_$ 'dt1 = 2 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .


 aggregate outfile = 'tmp1.sav'
  /break   = DT2
  /req  = sum(DT3)
  /occu =   sum(DT4)
  /gov =  sum(DT5)
  /ng  =  sum (DT6) .

get file = 'tmp1.sav'.

tables
  /format = zero
  /observation =   req  occu  gov ng
   /ftotal  tot1 "Total"     
   /table = DT2+tot1 by req+occu+gov+ng  
  /statistics
  sum( req(F6.0) 'Required') 
  sum( occu(F6.0) 'Occupied')   
  sum( gov(F6.0) 'Government')
  sum( ng(F6.0) 'NGO')   
   /title
    "Table TBx: Staffing in NBDW" 
		"The Gambia, 2006"
/caption
    "Source: Fistula survey, December,  2006".



***********************************************

GET
  FILE='C:\WHODT\Staf.sav'.

USE ALL.
COMPUTE filter_$=(dt1 = 3).
VARIABLE LABEL filter_$ 'dt1 = 3 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .



 aggregate outfile = 'tmp1.sav'
  /break   = DT2
  /req  = sum(DT3)
  /occu =   sum(DT4)
  /gov =  sum(DT5)
  /ng  =  sum (DT6) .

get file = 'tmp1.sav'.

tables
  /format = zero
  /observation =   req  occu  gov ng
   /ftotal  tot1 "Total"     
   /table = DT2+tot1 by req+occu+gov+ng  
  /statistics
  sum( req(F6.0) 'Required') 
  sum( occu(F6.0) 'Occupied')   
  sum( gov(F6.0) 'Government')
  sum( ng(F6.0) 'NGO')   
   /title
    "Table TBx: Staffing in NBBDE" 
		"The Gambia, 2006"
/caption
    "Source: Fistula survey, December,  2006".



*******************************************


GET
  FILE='C:\WHODT\staf.sav'.

USE ALL.
COMPUTE filter_$=(dt1 = 4).
VARIABLE LABEL filter_$ 'dt1 = 4 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .


 aggregate outfile = 'tmp1.sav'
  /break   = DT2
  /req  = sum(DT3)
  /occu =   sum(DT4)
  /gov =  sum(DT5)
  /ng  =  sum (DT6) .

get file = 'tmp1.sav'.

tables
  /format = zero
  /observation =   req  occu  gov ng
   /ftotal  tot1 "Total"     
   /table = DT2+tot1 by req+occu+gov+ng  
  /statistics
  sum( req(F6.0) 'Required') 
  sum( occu(F6.0) 'Occupied')   
  sum( gov(F6.0) 'Government')
  sum( ng(F6.0) 'NGO')   
   /title
    "Table TBx: Staffing in LRD" 
		"The Gambia, 2006"
/caption
    "Source: Fistula survey, December,  2006".


************************************************



GET
  FILE='C:\WHODT\staf.sav'.

USE ALL.
COMPUTE filter_$=(dt1 = 5).
VARIABLE LABEL filter_$ 'dt1 = 5 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .


 aggregate outfile = 'tmp1.sav'
  /break   = DT2
  /req  = sum(DT3)
  /occu =   sum(DT4)
  /gov =  sum(DT5)
  /ng  =  sum (DT6) .

get file = 'tmp1.sav'.

tables
  /format = zero
  /observation =   req  occu  gov ng
   /ftotal  tot1 "Total"     
   /table = DT2+tot1 by req+occu+gov+ng  
  /statistics
  sum( req(F6.0) 'Required') 
  sum( occu(F6.0) 'Occupied')   
  sum( gov(F6.0) 'Government')
  sum( ng(F6.0) 'NGO')   
   /title
    "Table TBx: Staffing in CRD" 
		"The Gambia, 2006"
/caption
    "Source: Fistula survey, December,  2006".



**************************************


GET
  FILE='C:\WHODT\Staf.sav'.

USE ALL.
COMPUTE filter_$=(dt1 = 6).
VARIABLE LABEL filter_$ 'dt1 = 6 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .


 aggregate outfile = 'tmp1.sav'
  /break   = DT2
  /req  = sum(DT3)
  /occu =   sum(DT4)
  /gov =  sum(DT5)
  /ng  =  sum (DT6) .

get file = 'tmp1.sav'.

tables
  /format = zero
  /observation =   req  occu  gov ng
   /ftotal  tot1 "Total"     
   /table = DT2+tot1 by req+occu+gov+ng  
  /statistics
  sum( req(F6.0) 'Required') 
  sum( occu(F6.0) 'Occupied')   
  sum( gov(F6.0) 'Government')
  sum( ng(F6.0) 'NGO')   
   /title
    "Table TBx: Staffing in URD" 
		"The Gambia, 2006"
/caption
    "Source: Fistula survey, December,  2006".



*******************************************************


GET
  FILE='C:\WHODT\Staf.sav'.

aggregate outfile = 'tmp1.sav'
  /break   = DT2
  /req  = sum(DT3)
  /occu =   sum(DT4)
  /gov =  sum(DT5)
  /ng  =  sum (DT6) .


get file = 'tmp1.sav'.

tables
  /format = zero
  /observation =   req  occu  gov ng
   /ftotal  tot1 "Total"     
   /table = DT2+tot1 by req+occu+gov+ng  
  /statistics
  sum( req(F6.0) 'Required') 
  sum( occu(F6.0) 'Occupied')   
  sum( gov(F6.0) 'Government')
  sum( ng(F6.0) 'NGO')   
   /title
    "Table TBx: Staffing in in The Gambia, 2006"
/caption
    "Source: Fistula survey, December,  2006".


******************************************************


GET
  FILE='C:\WHODT\trai.sav'.

 

tables
  /format = zero
  /ftotal  tot1 "Total"     
   /table = D15+tot1 by DT1 + tot1  
  /statistics
  count( D15 (F6.0) '') 
    /title
    "Table TBx: Midwifery training last provided by division, The Gambia, 2006"
/caption
    "Source: Fistula survey, December,  2006".


***********************************************************


GET
  FILE='C:\WHODT\trai.sav'.

 

tables
  /format = zero
  /ftotal  tot1 "Total"     
   /table = D16+tot1 by DT1  + tot1
  /statistics
  count( D16 (F6.0) '') 
    /title
    "Table TBx: Family planning training last provided by division, The Gambia, 2006"
/caption
    "Source: Fistula survey, December,  2006".


**********************************************************************


GET
  FILE='C:\WHODT\trai.sav'.

 

tables
  /format = zero
  /ftotal  tot1 "Total"     
   /table = D17+tot1 by DT1 + tot1
  /statistics
  count( D17 (F6.0) '') 
    /title
    "Table TBx: Communication training last provided by division, The Gambia, 2006"
/caption
    "Source: Fistula survey, December,  2006".


******************************************************************


GET
  FILE='C:\WHODT\trai.sav'.


tables
  /format = zero
  /ftotal  tot1 "Total"     
   /table = D25+tot1 by DT1 + tot1
  /statistics
  count( D25 (F6.0) '') 
    /title
    "Table TBx: Methods of decision making on the quantity of drugs to request, The Gambia, 2006"
/caption
    "Source: Fistula survey, December,  2006".


***************************************************************
GET
  FILE='C:\WHODT\trai.sav'.

 

tables
  /format = zero
  /ftotal  tot1 "Total"     
   /table = D26+tot1 by DT1 + tot1
  /statistics
  count( D26 (F6.0) '') 
    /title
    "Table TBx: How to decide when to reorder drugs, The Gambia, 2006"
/caption
    "Source: Fistula survey, December,  2006".

************************************************************************************

GET
  FILE='C:\WHODT\trai.sav'.

 

tables
  /format = zero
  /ftotal  tot1 "Total"     
   /table = D27A+D27B+D27C+D27D+D27F by DT1 + tot1
  /statistics
  count( DT1 (F6.0) '') 
    /title
    "Table TBx: Types of health education and communiucation matterials, The Gambia, 2006"
/caption
    "Source: Fistula survey, December,  2006".


*************************************************************************THIRD


GET
  FILE='C:\WHODT\trai.sav'.

 

tables
  /format = zero
  /ftotal  tot1 "Total"     
   /table = D29A+D29B+D29C+D29D+D29E+D29F+D29G+D29H+D29I by DT1 + tot1
  /statistics
  count( DT1 (F6.0) '') 
    /title
    "Table TBx: Type of community safe motherhood education or outreach activities, The Gambia, 2006"
/caption
    "Source: Fistula survey, December,  2006".



*************************************************

GET
  FILE='C:\WHODT\trai.sav'.

 

tables
  /format = zero
  /ftotal  tot1 "Total"     
   /table = D29ib by DT1 + tot1
  /statistics
  count( DT1 (F6.0) '') 
    /title
    "Table TBx: Safe motherhood activity targeting men by division, The Gambia, 2006"
/caption
    "Source: Fistula survey, December,  2006".



********************************************************


GET
  FILE='C:\WHODT\trai.sav'.

 

tables
  /format = zero
  /ftotal  tot1 "Total"     
   /table = D31+D32+D33+D34+D35 by DT1 + tot1
  /statistics
  count( DT1 (F6.0) '') 
    /title
    "Table TBx: Information flow on maternbal deaths by division, The Gambia, 2006"
/caption
    "Source: Fistula survey, December,  2006".


