
GET
  FILE='C:\WHODT\Divi.sav'.

 aggregate outfile = 'tmp1.sav'
  /break   = DF1
  /Pub  = sum(DF2)
  /Pri =   sum(DF3)
  /ngo =  sum(DF4) .

get file = 'tmp1.sav'.

tables
  /format = zero
  /observation =   pub  pri  ngo
   /ftotal  tot1 "Total"     
   /table = DF1+tot1 by pub+pri+ngo  
  /statistics
  sum( pub(F6.0) 'Public') 
  sum( pri(F6.0) 'Private')   
  sum( ngo(F6.0) 'NGO')   
   /title
    "Table TBx: Health professional by category" 
		"The Gambia, 2006"
/caption
    "Source: Fistula survey, December,  2006".



***************************************************

GET
  FILE='C:\WHODT\Staf.sav'.


 aggregate outfile = 'tmp1.sav'
  /break   = DT2
  /req  = sum(DT3)
  /occu =   sum(DT4)
  /gov =  sum(DT5)
  /ng  =  sum (DT6) .

get file = 'tmp1.sav'.

tables
  /format = zero
  /observation =   req  occu  gov ng
   /ftotal  tot1 "Total"     
   /table = DT2+tot1 by req+occu+gov+ng  
  /statistics
  sum( req(F6.0) 'Required') 
  sum( occu(F6.0) 'Occupied')   
  sum( gov(F6.0) 'Government')
  sum( ng(F6.0) 'NGO')   
   /title
    "Table TBx: Staffing by category" 
		"The Gambia, 2006"
/caption
    "Source: Fistula survey, December,  2006".



**************************************************************************


GET
  FILE='C:\WHODT\Trai.sav'.


 aggregate outfile = 'tmp1.sav'
  /break   = DT1
  /n1  = sum(D1)
  /n2 =   sum(D2)
  /n3 =  sum(D3)
  /n4 =  sum(D3)
  /n5   =  sum(D5)
  /n6   =  sum(D6)
  /n7  = sum(D12). 

get file = 'tmp1.sav'.

tables
  /format = zero
  /observation =   n1  n2  n3 n4  n5  n6  n7  
   /ftotal  tot1 "Total"     
   /table = DT1+tot1 by n1+ n2+n3+n4+n5+n6+n7 
  /statistics
  sum( n1(F6.0) 'Registered midwives') 
  sum( n2(F6.0) 'Enrolled midwives')   
  sum( n3(F6.0) 'Generalists') 
  sum( n4(F6.0) 'Obstetrician') 
  sum( n5(F6.0) 'Anaesthetists')   
  sum( n6(F6.0) 'Pharmacists')   
   /title
    "Table TBx: Workers trained in Divisional training" 
		"The Gambia, 2006"
/caption
    "Source: Fistula survey, December,  2006".



GET
  FILE='C:\WHODT\Trai.sav'.

FREQUENCIES
  VARIABLES=D20 D21A D21B D21C D22 D23 D24 D25 D26 D31 D32 D33 D34 D35
  /ORDER=  ANALYSIS .
