********************************************************************start proportion************
*COMPREHENSIVE EMOC FACILITIES


GET
  FILE='C:\WHOHF\HF.sav'.
DATASET NAME DataSet1 WINDOW=FRONT.


USE ALL.
COMPUTE filter_$=(HE1 = 47 or HE1 = 36 or HE1 = 49 or HE1 = 48 or HE1 = 24 or
  HE1 = 13 or HE1 = 17 or HE1 = 9 or HE1 = 10).
VARIABLE LABEL filter_$ 'HE1 = 47 or HE1 = 36 or HE1 = 49 or HE1 = 48 or HE1'+
 ' = 24 or HE1 = 13 or HE1 = 17 or HE1 = 9 or HE1 = 10 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .


compute total = 1.
variable label total "Total".
value label total 1 "Total".
             
 compute  Mfact  =  (46/1000)*(0.5).         
execute.

compute exp =( Mfact * HE8).
format exp ( F6).
Execute.

compute tpop = HE8.
format tpop (F6).
Execute.

compute tnb = DR1.
format tnb (F6).
Execute.



aggregate outfile = 'tmp1.sav'
  /break   = HE1  
  /nexp  = sum(exp)
  /ndr1 =  sum(dr1)
  /ntnb = sum(tnb)
  /pop    = sum(tpop).

 
aggregate outfile = 'tmp3.sav'
  /break   = total  
  /nexp  = sum(exp)
  /ndr1 =  sum(dr1)
  /ntnb = sum(tnb)
  /pop    = sum(tpop).

get file = 'tmp1.sav'.

add files
  /file = *
 /file = 'tmp3.sav'.

compute nprop  =   (ntnb/nexp).
format nprop ( F8.7).
Execute.


tables
  /format = zero
  /observation =  pop nexp  nprop ntnb
  /table =  HE1 + total by pop+nexp+ntnb+nprop  
  /statistics
  sum(pop (F6.0) 'Facility target population')   
  sum(nexp (F6.0) 'Estimated deliveries')
  sum(ntnb (F6.0) 'Total births past 12 months in facilities')
  sum(nprop (F8.7) 'Proportion of births')
   /title
    "Table TBx: Estimated deliveries, proportion of births Comprehensive facilities" 
		"The Gambia, 2006"
/caption
    "Source: Fistula survey, December,  2006".


new file.

*delete working files.
erase file = 'tmp1.sav'.
erase file = 'tmp3.sav'.


***************************************************************************
*COMPREHENSIVE EMOC FACILITIES


GET
 FILE='C:\WHOHF\HF.sav'.
DATASET NAME DataSet1 WINDOW=FRONT.


USE ALL.
COMPUTE filter_$=(HE1 = 47 or HE1 = 36 or HE1 = 49 or HE1 = 48 or HE1 = 24 or
  HE1 = 13 or HE1 = 17 or HE1 = 9 or HE1 = 10).
VARIABLE LABEL filter_$ 'HE1 = 47 or HE1 = 36 or HE1 = 49 or HE1 = 48 or HE1'+
 ' = 24 or HE1 = 13 or HE1 = 17 or HE1 = 9 or HE1 = 10 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .


compute total = 1.
variable label total "Total".
value label total 1 "Total".
             
 compute  Mfact  =  (46/1000)*(0.5).         
execute.

compute exp =( Mfact * HE8).
format exp ( F6).
Execute.

compute tpop = HE8.
format tpop (F6).
Execute.

compute tnb = DR1.
format tnb (F6).
Execute.



aggregate outfile = 'tmp1.sav'
  /break   = HE2  
  /nexp  = sum(exp)
  /ndr1 =  sum(dr1)
  /ntnb = sum(tnb)
  /pop    = sum(tpop).

 
aggregate outfile = 'tmp3.sav'
  /break   = total  
  /nexp  = sum(exp)
  /ndr1 =  sum(dr1)
  /ntnb = sum(tnb)
  /pop    = sum(tpop).

get file = 'tmp1.sav'.

add files
  /file = *
 /file = 'tmp3.sav'.

compute nprop  =   (ntnb/nexp).
format nprop ( F8.7).
Execute.


tables
  /format = zero
  /observation =  pop nexp  nprop ntnb
  /table =  HE2 + total by pop+nexp+ntnb+nprop  
  /statistics
  sum(pop (F6.0) 'Facility target population')   
  sum(nexp (F6.0) 'Estimated deliveries')
  sum(ntnb (F6.0) 'Total births past 12 months in facilities')
  sum(nprop (F8.7) 'Proportion of births')
   /title
    "Table TBx: Estimated deliveries, proportion of births by health division for Comprehensive facilities" 
		"The Gambia, 2006"
/caption
    "Source: Fistula survey, December,  2006".


new file.

*delete working files.
erase file = 'tmp1.sav'.
erase file = 'tmp3.sav'.
******************************************************************************



GET
  FILE='C:\WHOHF\HF.sav'.
DATASET NAME DataSet1 WINDOW=FRONT.




*FACILITY OPERATOR AS BASICS


USE ALL.
COMPUTE filter_$=(HE1 = 40 or HE1 = 44 or HE1 = 37 or HE1 = 45 or HE1 = 21or
  HE1 = 11 or HE1 = 2 or HE1 = 28 or HE1 = 34 or HE1 = 33).
VARIABLE LABEL filter_$ 'HE1 = 40 or HE1 = 44 or HE1 = 37 or HE1 = 45 or HE1'+
 ' = 21or HE1 = 11 or HE1 = 2 or HE1 = 28 or HE1 = 34 or HE... (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .


compute total = 1.
variable label total "Total".
value label total 1 "Total".
             
 compute  Mfact  =  (46/1000)*(0.5).         
execute.

compute exp =( Mfact * HE8).
format exp ( F6).
Execute.

compute tpop = HE8.
format tpop (F6).
Execute.

compute tnb = DR1.
format tnb (F6).
Execute.



aggregate outfile = 'tmp1.sav'
  /break   = HE1  
  /nexp  = sum(exp)
  /ndr1 =  sum(dr1)
  /ntnb = sum(tnb)
  /pop    = sum(tpop).

 
aggregate outfile = 'tmp3.sav'
  /break   = total  
  /nexp  = sum(exp)
  /ndr1 =  sum(dr1)
  /ntnb = sum(tnb)
  /pop    = sum(tpop).

get file = 'tmp1.sav'.

add files
  /file = *
 /file = 'tmp3.sav'.

compute nprop  =   (ntnb/nexp).
format nprop ( F8.7).
Execute.


tables
  /format = zero
  /observation =  pop nexp  nprop ntnb
  /table =  HE1 + total by pop+nexp+ntnb+nprop  
  /statistics
  sum(pop (F6.0) 'Facility target population')   
  sum(nexp (F6.0) 'Estimated deliveries')
  sum(ntnb (F6.0) 'Total births past 12 months in facilities')
  sum(nprop (F8.7) 'Proportion of births')
   /title
    "Table TBx: Estimated deliveries, proportion of births for Basic facilities" 
		"The Gambia, 2006"
/caption
    "Source: Fistula survey, December,  2006".


new file.

*delete working files.
erase file = 'tmp1.sav'.
erase file = 'tmp3.sav'.




***************************************************************************

******************************************************************************


GET
  FILE='C:\WHOHF\HF.sav'.
DATASET NAME DataSet1 WINDOW=FRONT.




*FACILITY OPERATOR AS BASICS


USE ALL.
COMPUTE filter_$=(HE1 = 40 or HE1 = 44 or HE1 = 37 or HE1 = 45 or HE1 = 21or
  HE1 = 11 or HE1 = 2 or HE1 = 28 or HE1 = 34 or HE1 = 33).
VARIABLE LABEL filter_$ 'HE1 = 40 or HE1 = 44 or HE1 = 37 or HE1 = 45 or HE1'+
 ' = 21or HE1 = 11 or HE1 = 2 or HE1 = 28 or HE1 = 34 or HE... (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

compute total = 1.
variable label total "Total".
value label total 1 "Total".
             
 compute  Mfact  =  (46/1000)*(0.5).         
execute.

compute exp =( Mfact * HE8).
format exp ( F6).
Execute.

compute tpop = HE8.
format tpop (F6).
Execute.

compute tnb = DR1.
format tnb (F6).
Execute.



aggregate outfile = 'tmp1.sav'
  /break   = HE2  
  /nexp  = sum(exp)
  /ndr1 =  sum(dr1)
  /ntnb = sum(tnb)
  /pop    = sum(tpop).

 
aggregate outfile = 'tmp3.sav'
  /break   = total  
  /nexp  = sum(exp)
  /ndr1 =  sum(dr1)
  /ntnb = sum(tnb)
  /pop    = sum(tpop).

get file = 'tmp1.sav'.

add files
  /file = *
 /file = 'tmp3.sav'.

compute nprop  =   (ntnb/nexp).
format nprop ( F8.7).
Execute.


tables
  /format = zero
  /observation =  pop nexp  nprop ntnb
  /table =  HE2 + total by pop+nexp+ntnb+nprop  
  /statistics
  sum(pop (F6.0) 'Facility target population')   
  sum(nexp (F6.0) 'Estimated deliveries')
  sum(ntnb (F6.0) 'Total births past 12 months in facilities')
  sum(nprop (F8.7) 'Proportion of births')
   /title
    "Table TBx: Estimated deliveries, proportion of births by health division for Basic facilities" 
		"The Gambia, 2006"
/caption
    "Source: Fistula survey, December,  2006".


new file.

*delete working files.
erase file = 'tmp1.sav'.
erase file = 'tmp3.sav'.

******************************************


GET
  FILE='C:\WHOHF\HF.sav'.
DATASET NAME DataSet1 WINDOW=FRONT.


compute total = 1.
variable label total "Total".
value label total 1 "Total".
             
 compute  Mfact  =  (46/1000)*(0.5).         
execute.

compute exp =( Mfact * HE8).
format exp ( F6).
Execute.

compute tpop = HE8.
format tpop (F6).
Execute.

compute tnb = DR1.
format tnb (F6).
Execute.



aggregate outfile = 'tmp1.sav'
  /break   = HE1  
  /nexp  = sum(exp)
  /ndr1 =  sum(dr1)
  /ntnb = sum(tnb)
  /pop    = sum(tpop).

 
aggregate outfile = 'tmp3.sav'
  /break   = total  
  /nexp  = sum(exp)
  /ndr1 =  sum(dr1)
  /ntnb = sum(tnb)
  /pop    = sum(tpop).

get file = 'tmp1.sav'.

add files
  /file = *
 /file = 'tmp3.sav'.

compute nprop  =   (ntnb/nexp).
format nprop ( F8.7).
Execute.


tables
  /format = zero
  /observation =  pop nexp  nprop ntnb
   /ftotal  tot1 "Total"     
   /table =  HE1+total by pop+nexp+ntnb+nprop  
  /statistics
  sum(pop (F6.0) 'Facility target population')   
  sum(nexp (F6.0) 'Estimated deliveries')
  sum(ntnb (F6.0) 'Total births past 12 months in facilities')
  sum(nprop (F8.7) 'Proportion of births')
   /title
    "Table TBx: Estimated deliveries, proportion of births by facilities" 
		"The Gambia, 2006"
/caption
    "Source: Fistula survey, December,  2006".



new file.

*delete working files.
erase file = 'tmp1.sav'.
erase file = 'tmp3.sav'.

********************************************

GET
  FILE='C:\WHOHF\HF.sav'.
DATASET NAME DataSet1 WINDOW=FRONT.


compute total = 1.
variable label total "Total".
value label total 1 "Total".
             
 compute  Mfact  =  (46/1000)*(0.5).         
execute.

compute exp =( Mfact * HE8).
format exp ( F6).
Execute.

compute tpop = HE8.
format tpop (F6).
Execute.

compute tnb = DR1.
format tnb (F6).
Execute.



aggregate outfile = 'tmp1.sav'
  /break   = HE2  
  /nexp  = sum(exp)
  /ndr1 =  sum(dr1)
  /ntnb = sum(tnb)
  /pop    = sum(tpop).

 
aggregate outfile = 'tmp3.sav'
  /break   = total  
  /nexp  = sum(exp)
  /ndr1 =  sum(dr1)
  /ntnb = sum(tnb)
  /pop    = sum(tpop).

get file = 'tmp1.sav'.

add files
  /file = *
 /file = 'tmp3.sav'.

compute nprop  =   (ntnb/nexp).
format nprop ( F8.7).
Execute.


tables
  /format = zero
  /observation =  pop nexp  nprop ntnb
   /ftotal  tot1 "Total"     
   /table =  HE2+total by pop+nexp+ntnb+nprop  
  /statistics
  sum(pop (F6.0) 'Facility target population')   
  sum(nexp (F6.0) 'Estimated deliveries')
  sum(ntnb (F6.0) 'Total births past 12 months in facilities')
  sum(nprop (F8.7) 'Proportion of births')
   /title
    "Table TBx: Estimated deliveries, proportion of births by health division" 
		"The Gambia, 2006"
/caption
    "Source: Fistula survey, December,  2006".



new file.

*delete working files.
erase file = 'tmp1.sav'.
erase file = 'tmp3.sav'.


******************************************************

GET
  FILE='C:\WHOHF\HFWIVES2.sav'.
DATASET NAME DataSet5 WINDOW=FRONT.

compute total = 1.
variable label total "Total".
value label total 1 "Total".
             
 variable label  MD1  'Number of personnel'.

aggregate outfile = 'tmp1.sav'
    /break   = MD1
  /Occu  = sum(OC1).

 
aggregate outfile = 'tmp3.sav'
  /break   = total  
  /Occu  = sum(OC1).
 
get file = 'tmp1.sav'.

add files
  /file = *
 /file = 'tmp3.sav'.

compute nprop = (Occu/100000).
Execute.


tables
  /format = zero
  /observation =   Occu nprop
  /table = MD1+ Total by Occu+nprop  
  /statistics
  sum(Occu (F8) 'Number of personnel')
  sum(nprop (F8.7) 'Medical Personnel per 100000 target population')
   /title
    "Table TBx: Status of maternal health personnel by position in health facilities" 
		"The Gambia, 2006"
/caption
    "Source: Fistula survey, December,  2006".


new file.

*delete working files.
erase file = 'tmp1.sav'.
erase file = 'tmp3.sav'.


**********************************************************

GET
  FILE='C:\WHOHF\HFWIVES2.sav'.
DATASET NAME DataSet5 WINDOW=FRONT.

compute total = 1.
variable label total "Total".
value label total 1 "Total".
             
 variable label  MD1  'Number of personnel'.

aggregate outfile = 'tmp1.sav'
    /break   = MD1
  /Occu  = sum(OC1).

 
aggregate outfile = 'tmp3.sav'
  /break   = total  
  /Occu  = sum(OC1).
 
get file = 'tmp1.sav'.

add files
  /file = *
 /file = 'tmp3.sav'.

compute nprop = (Occu/1000).
Execute.


tables
  /format = zero
  /observation =   Occu nprop
  /table = MD1+ Total by Occu+nprop  
  /statistics
  sum(Occu (F8) 'Number of personnel')
  sum(nprop (F8.7) 'Medical Personnel per 1000 target population')
   /title
    "Table TBx: Status of maternal health personnel by position in health facilities" 
		"The Gambia, 2006"
/caption
    "Source: Fistula survey, December,  2006".


new file.

*delete working files.
erase file = 'tmp1.sav'.
erase file = 'tmp3.sav'.
