*This syntax was used.

GET
  FILE='C:\WHO\SPSS\HH.sav'.
DATASET NAME DataSet3 WINDOW=FRONT.


select if (hh11 = 1).



* check frequency distribution of variables, look for missing values.

frequencies
  variables=HH17A HH17B HH17C HH17D HH17E HH17F HH17G HH17H HH17I HH17J
  /statistics=stddev mean
  /order=analysis .

* begin recoding, dichotomous variables or continuous variables.




compute roofmetl = 0.
if (hh17A = 1) roofmetl = 1.

compute car = 0.
if (hh17B = 2) car = 1.

* type of cooking fuel.

compute fuellpg = 0.
if (hh17C = 03) fuellpg = 1.


* other household assets.

compute elec = 0.
if (hh17D = 4) elec = 1.

compute radio = 0.
if (hh17E = 5) radio = 1.


compute cart = 0.
if (hh17F = 6) cart = 1.


compute fridge = 0.
if (hh17G = 7) fridge = 1.

compute watpyd = 0.
if (HH17H = 8) watpyd = 1.

compute mobile = 0.
if (hh17I = 9) mobile = 1.

compute tv = 0.
if (hh17J = 10) tv = 1.


factor
  /variables
             roofmetl 
             fuellpg elec radio tv mobile fridge
             cart car  
	 watpyd
  /missing meansub
  /analysis
              roofmetl 
             fuellpg elec radio tv mobile fridge
             cart car  
	 watpyd
  /print univariate initial extraction fscore
  /criteria factors(1) iterate(25)
  /extraction pc
  /rotation norotate
  /save reg(all)
  /method=correlation.

compute hhmemwt = hh11*hhweight.
weight by hhmemwt.
variable labels hhmemwt 'HH members weight for Index'.

rank
  variables=fac1_1  (A)
  /ntiles (5)
  /print=yes
  /ties=mean.

variable label fac1_1 'Wealth index score'.
variable label nfac1_1 'Wealth index quintiles'.
value label nfac1_1
	1 'Poorest'
	2 'Second'
	3 'Middle'
	4 'Fourth'
	5 'Richest'.
format nfac1_1 (f1.0).
format fac1_1 (f9.5).

frequencies
  variables=fac1_1
  /ntiles= 5
  /statistics=stddev minimum maximum mean median
  /order=analysis.

weight off.

save outfile="wealth.sav"
 /rename (fac1_1 = wlthscor) (nfac1_1 = wlthind5)
 /keep HH1 HH2 wlthscor wlthind5.

