*get file = 'hh.sav'.


GET
  FILE='C:\WHO\SPSS\HH.sav'.
DATASET NAME DataSet6 WINDOW=FRONT.


*** Choose the stratum definition that fits your sample ***.
* Strata defined by area and region.
* ASSUMPTIONS: HH6 in 1 to 2, HH7 in 1 to 4.
* CHANGES: If you have n regions, change8 below to n.
compute stratum = (HH7-1)*6 + HH3.
* Strata define by region
* compute stratum = HH3.
format stratum (F3.0).

compute clust = 1.
if (hh1 = lag(hh1,1)) clust = 0.
variable label clust "Clusters completed".

compute hhfnd = 0.
if (hh11 <> 4) hhfnd = 1.
variable label hhfnd "Households found".

compute hhcomp = 0.
if (hh11 = 1) hhcomp = 1.
variable label hhcomp "Households completed".

.

tables
  /observation = clust hhfnd hhcomp
  /ftotal   tot1 'Total'
  /tables = HH3 + tot1 by clust + hhfnd + hhcomp 
  /statistics
    sum(clust (F5.0) '')
    sum(hhfnd (F5.0) '')
    sum(hhcomp (F5.0) '')
  /title
    "Weight Tabulation".


*tables
*  /observation = clust hhfnd hhcomp hh12 hh13 hh14 hh15
*  /tables = stratum by clust + hhfnd + hhcomp + hh12 + hh13 + hh14 + hh15
*  /statistics
*    sum(clust (F5.0) '')
*    sum(hhfnd (F5.0) '')
*    sum(hhcomp (F5.0) '')
*    sum(hh12 (F5.0) '')
*    sum(hh13 (F5.0) '')
*    sum(hh14 (F5.0) '')
*    sum(hh15 (F5.0) '')
*  /title
*    "Weight Tabulation".
